Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.file
[Java] Class EmptyFileVisitor

    java.lang.Object
      org.gradle.api.file.EmptyFileVisitor

All Implemented Interfaces:
  FileVisitor

    public class EmptyFileVisitor

The EmptyFileVisitor can be extends by implementations that only require to implement one of the 2 visit methods (dir or file). This is just to limit the amount of code clutter when not both visit methods need to be implemented.

Method Summary
`void` | `visitDir(FileVisitDetails dirDetails)`
`void` | `visitFile(FileVisitDetails fileDetails)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visitDir

    public void visitDir(FileVisitDetails dirDetails)

### visitFile

    public void visitFile(FileVisitDetails fileDetails)

Gradle API 1.10